package com.hello2morrow.sonargraph.languageprovider.java.command.system.scripts.java

import static org.junit.Assert.*

import com.hello2morrow.sonargraph.core.model.script.GroovyScript
import com.hello2morrow.sonargraph.core.model.script.ScriptResultSet
import com.hello2morrow.sonargraph.languageprovider.java.command.system.scripts.AbstractJavaScriptTest
import com.hello2morrow.sonargraph.languageprovider.java.foundation.common.JavaTestFixture

class FindSynchronizedMethodsScriptTest extends AbstractJavaScriptTest
{
    private static final String SCRIPT_PATH = JavaTestFixture.SCRIPT_FIND_SYNCHRONIZED_METHODS_SCRIPT_PATH;
    private static final String PROJECT_PATH = JavaTestFixture.SCRIPT_FIND_SYNCHRONIZED_METHODS_PROJECT_PATH;

    public FindSynchronizedMethodsScriptTest()
    {
        super(PROJECT_PATH, SCRIPT_PATH);
    }

    @Override
    void verifyResult(GroovyScript script)
    {
        ScriptResultSet result = script.getResultSet();
        assertEquals(1, result.getNamedElements().size());
        assertEquals("com.hello2morrow.synmethtest.Counter.add(long)", result.getNamedElements().get(0).getName());
        assertEquals("com.hello2morrow.synmethtest.Counter", result.getNamedElements().get(0).getParent().getName());
    }
}
